Bug 849051 - dlm: deadlock between dlm_send and dlm_controld [rhel-6.3.z]
Summary: dlm: deadlock between dlm_send and dlm_controld [rhel-6.3.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.3
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 824964
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-17 07:41 UTC by RHEL Program Management
Modified: 2018-11-30 19:50 UTC (History)
14 users (show)

Fixed In Version: kernel-2.6.32-279.9.1.el6
Doc Type: Bug Fix
Doc Text:
A deadlock sometimes occurred between the dlm_controld daemon closing a lowcomms connection through the configfs file system and the dlm_send process looking up the address for a new connection in configfs. With this update, the node addresses are saved within the lowcomms code so that the lowcomms work queue does not need to use configfs to get a node address.
Clone Of:
Environment:
Last Closed: 2012-09-25 19:01:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 143453 None None None 2012-08-22 08:13:26 UTC
Red Hat Product Errata RHSA-2012:1304 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2012-09-25 22:58:04 UTC

Description RHEL Program Management 2012-08-17 07:41:35 UTC
This bug has been copied from bug #824964 and has been proposed
to be backported to 6.3 z-stream (EUS).

Comment 8 errata-xmlrpc 2012-09-25 19:01:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1304.html


Note You need to log in before you can comment on or make changes to this bug.